Subject: [PATCH] ASoC: atmel-classd: select correct Kconfig symbol

From: [email-masked] (Alexandre Belloni)
Date: Tue, 5 Dec 2017 23:07:59 +0100

On 05/12/2017 at 14:28:28 +0100, Arnd Bergmann wrote:
> On Tue, Dec 5, 2017 at 1:47 PM, Alexandre Belloni
> <[email-masked]> wrote:
> > On 05/12/2017 at 12:13:41 +0100, Arnd Bergmann wrote:
> >
> > Ok, does that solve both randconfigs?
> >
> > diff --git a/sound/soc/atmel/Kconfig b/sound/soc/atmel/Kconfig
> > index 4a56f3dfba51..dcee145dd179 100644
> > --- a/sound/soc/atmel/Kconfig
> > +++ b/sound/soc/atmel/Kconfig
> > @@ -64,7 +64,7 @@ config SND_AT91_SOC_SAM9X5_WM8731
> >  config SND_ATMEL_SOC_CLASSD
> >         tristate "Atmel ASoC driver for boards using CLASSD"
> >         depends on ARCH_AT91 || COMPILE_TEST
> > -       select SND_ATMEL_SOC_DMA
> > +       select SND_SOC_GENERIC_DMAENGINE_PCM
> >         select REGMAP_MMIO
> >         help
> >           Say Y if you want to add support for Atmel ASoC driver for boards using
> 
> Yes, that works as well and looks reliable. I've sent another
> follow-up now, working on the
> assumption that we actually need SND_ATMEL_SOC_DMA.
> 
> Both patches make it build, but obviously only one of the two is
> actually correct. I assume you know what you are doing, so if
> you want to send your patch with a proper changelog, please add
> my
> 
> Tested-by: Arnd Bergmann <[email-masked]>
> 

Ok, I'll test on a real board before the end of the week (I need to find
a speaker) and I'll send a proper patch.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com